Polymarket

Wallet Stats All Time

Wallet Stats All Time on Our data (\~9mo)

POST/v2/semantic/retrieve/parameterized

Query Parameters

wallet_addressstring
Wallet address filter. This is mandetory.
Example:
"0x6ac5bb06a9eb05641fd5e82640268b92f3ab4b6e"

Response Fields

FieldTypeDescription
proxy_walletStringProxy wallet address associated with the trading activity
total_tradesIntegerTotal number of trades executed
avg_trade_sizeString (Decimal)Average size of each trade
avg_pnl_per_tradeString (Decimal)Average profit or loss generated per trade
total_investedString (Decimal)Total capital invested across all trades
total_pnlString (Decimal)Total profit and loss across all trades (negative values indicate a loss)
roi_pctString (Decimal)Return on investment expressed as a percentage
last_updatedString (ISO 8601 Timestamp)Timestamp indicating when the metrics were last updated
Wallet Stats All Time
curl --request POST \
  --url https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized \
  --header 'Authorization: Bearer YOUR_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "agent_id": 586,
  "params": {
    "wallet_address": "0x6ac5bb06a9eb05641fd5e82640268b92f3ab4b6e"
  },
  "pagination": {
    "limit": 10,
    "offset": 0
  },
  "formatter_config": {
    "format_type": "raw"
  }
}'
200Example response
{
  "timestamp": "",
  "params": {
    "wallet_address": "0x6ac5bb06a9eb05641fd5e82640268b92f3ab4b6e"
  },
  "pagination": {
    "limit": 50,
    "offset": 0,
    "has_more": false
  },
  "data": {
    "results": [
      {
        "avg_pnl_per_trade": "2.26",
        "avg_trade_size": "122.24",
        "last_updated": "2026-03-14T00:00:00Z",
        "proxy_wallet": "0x6ac5bb06a9eb05641fd5e82640268b92f3ab4b6e",
        "roi_pct": "1.85",
        "total_invested": "22785473.35",
        "total_pnl": "420395.44",
        "total_trades": 186403
      }
    ]
  }
}